/********************************************************************
	file base:	MProduct
	file ext:	cs
	author:		mcvrlab
	
	purpose:	 商品信息实体类
*********************************************************************/
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MODEL
{
    /// <summary>
    /// 商品实体类
    /// </summary>
   public class MProduct
    {
        private int _Id;

        public int Id
        {
            get { return _Id; }
            set { _Id = value; }
        }
        private string _ProductName;

        public string ProductName
        {
            get { return _ProductName; }
            set { _ProductName = value; }
        }
        private int _Classid;

        public int Classid
        {
            get { return _Classid; }
            set { _Classid = value; }
        }
        private decimal _Price;

        public decimal Price
        {
            get { return _Price; }
            set { _Price = value; }
        }
        private int _State;

        public int State
        {
            get { return _State; }
            set { _State = value; }
        }
        private int _Stock;

        public int Stock
        {
            get { return _Stock; }
            set { _Stock = value; }
        }
        private int _Brand;

        public int Brand
        {
            get { return _Brand; }
            set { _Brand = value; }
        }
        private string _Img_Logo;

        public string Img_Logo
        {
            get { return _Img_Logo; }
            set { _Img_Logo = value; }
        }
        private string _Img_Big;

        public string Img_Big
        {
            get { return _Img_Big; }
            set { _Img_Big = value; }
        }
        private string _Intro;

        public string Intro
        {
            get { return _Intro; }
            set { _Intro = value; }
        }
        private string _Content;

        public string Content
        {
            get { return _Content; }
            set { _Content = value; }
        }
        private DateTime _AddDate;

        public DateTime AddDate
        {
            get { return _AddDate; }
            set { _AddDate = value; }
        }
        private int _ClickCount;

        public int ClickCount
        {
            get { return _ClickCount; }
            set { _ClickCount = value; }
        }
        private int _BuyCount;

        public int BuyCount
        {
            get { return _BuyCount; }
            set { _BuyCount = value; }
        }
        private int _UserName;

        public int UserName
        {
            get { return _UserName; }
            set { _UserName = value; }
        }
        private decimal _Point;

        public decimal Point
        {
            get { return _Point; }
            set { _Point = value; }
        }
        private bool _IsHtml;

        public bool IsHtml
        {
            get { return _IsHtml; }
            set { _IsHtml = value; }
        }
        private string _Url;

        public string Url
        {
            get { return _Url; }
            set { _Url = value; }

        }
        private string _IntroMore;

        public string IntroMore
        {
            get { return _IntroMore; }
            set { _IntroMore = value; }
        }
    }
}
